package com.lantone.qc.kernel.catalogue.deathcasediscuss;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAC0104
 * @Description : 死亡病例讨论记录中无抢救经过
 * @Author : 胡敬
 * @Date: 2020-03-19 10:20
 */
@Component
public class DEAC0104 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathCaseDiscussDoc() != null && inputInfo.getDeathCaseDiscussDoc().getStructureMap() != null) {
            Map<String, String> deathCaseDiscussStructureMap = inputInfo.getDeathCaseDiscussDoc().getStructureMap();
            String discussionContent = deathCaseDiscussStructureMap.get("讨论内容");
            if (CatalogueUtil.isEmpty(discussionContent)) {
                return;
            }
            if (!discussionContent.contains("抢救")) {
                status.set("-1");
            }
        }
    }
}